Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231132 - freealut doesn't build in devel + fix
Summary: freealut doesn't build in devel + fix
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: freealut
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-06 13:08 UTC by Hans de Goede
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-14 08:04:04 UTC


Attachments (Terms of Use)

Description Hans de Goede 2007-03-06 13:08:48 UTC
Hi,

I wanted to build freealut from cvs as I'm debugging an app which uses it and
somethings seems to go wrong inside freealut.

Currently it doesn't build as patch0 changes configure.ac, without rerunning
aclocal, automake, etc.

The fix is to add a BuildRequires: libtool, which will drag in autoconf and automake

And then add "autoreconf" after %patch0

Comment 1 Hans de Goede 2007-03-06 13:16:29 UTC
I also just noticed that freealut comes with some tests, you may want to add
this to the specfile:

%check
pushd test_suite
./test_errorstuff || exit $?  
./test_fileloader || exit $?  
./test_memoryloader || exit $?
./test_retrostuff || exit $?
./test_version || exit $?  
./test_waveforms || exit $?
popd


Comment 2 Andreas Bierfert 2007-03-14 08:04:04 UTC
Thanks for reporting. I left the tests out as they require /dev/dsp to be present.


Note You need to log in before you can comment on or make changes to this bug.